### Method

# EDataServer Client open_sync

deprecated: 3.8 since: 3.2

#### Declaration [src]

    gboolean
    e_client_open_sync (
      EClient* client,
      gboolean only_if_exists,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Opens the `client`, making it ready for queries and other operations.

Available since: 3.2

Deprecated since: 3.8

Use `e_book_client_connect_sync()` or `e_cal_client_connect_sync()` instead.

#### Parameters

`only_if_exists`

  Type: `gboolean`

  This parameter is not used anymore.

`cancellable`

  Type: `GCancellable`

  A `GCancellable`; can be `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if successful, `FALSE` otherwise.